Skip to main content
`Ctrl`+`K`

# TaoTermGetSolutionLayout

Get the layouts describing the solution vectors of a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetSolutionLayout(TaoTerm term, PetscLayout *solution_layout)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- solution_layout - the `PetscLayout` for the solution space

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetSolutionVecType()`, `TaoTermSetSolutionVecType()`, `TaoTermSetSolutionLayout()`, `TaoTermSetSolutionTemplate()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateSolutionVec()`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages